Loading...
Searching...
No Matches
Dune::Functions::BrezziDouglasMariniPreBasis< GV, k > Class Template Reference

`#include <dune/functions/functionspacebases/brezzidouglasmarinibasis.hh>`

Inheritance diagram for Dune::Functions::BrezziDouglasMariniPreBasis< GV, k >:

## Public Types

using | GridView = GV
| The grid view that the FE space is defined on.
using | size_type = std::size_t
using | Node = BrezziDouglasMariniNode<GV, k>

## Public Member Functions

| BrezziDouglasMariniPreBasis (const GridView &gv)
| Constructor for a given grid view object.
void | update (const GridView &gv)
Node | makeNode () const
| Create tree node.
void | initializeIndices ()
| Initialize the global index information.
const GridView & | gridView () const
| Export the stored GridView.
size_type | dimension () const
| Return total number of basis functions.
size_type | maxNodeSize () const
| Return maximal number of basis functions per element.
template<class Node, class It>
It | indices (const Node &node, It it) const
| Fill cache with global indices of DOFs associated to the given bound node.
size_type | size (const SizePrefix &prefix) const
| Return number of possible values for next position in multi index.
auto | containerDescriptor () const
| Return a flat container-descriptor.

## Static Public Attributes

static constexpr size_type | maxMultiIndexSize
| Maximal length of global multi-indices.
static constexpr size_type | minMultiIndexSize
| Minimal length of global multi-indices.
static constexpr size_type | multiIndexBufferSize
| Size required temporarily when constructing global multi-indices.

## Protected Attributes

FiniteElementMap | finiteElementMap_
GridView | gridView_
Dune::MultipleCodimMultipleGeomTypeMapper< GridView > | mapper_
std::size_t | maxNodeSize_

## Member Typedef Documentation

## GridView

template<typename GV, int k>

using Dune::Functions::BrezziDouglasMariniPreBasis< GV, k >::GridView = GV

The grid view that the FE space is defined on.

## Node

template<typename GV, int k>

using Dune::Functions::BrezziDouglasMariniPreBasis< GV, k >::Node = BrezziDouglasMariniNode<GV, k>

## size_type

template<typename GV, int k>

using Dune::Functions::BrezziDouglasMariniPreBasis< GV, k >::size_type = std::size_t

## Constructor & Destructor Documentation

## BrezziDouglasMariniPreBasis()

template<typename GV, int k>

Dune::Functions::BrezziDouglasMariniPreBasis< GV, k >::BrezziDouglasMariniPreBasis | ( | const GridView & | gv | ) |

inline

Constructor for a given grid view object.

## Member Function Documentation

## containerDescriptor()

auto Dune::Functions::LeafPreBasisMixin< LeafPreBasisMapperMixin< GV > >::containerDescriptor | ( |  | ) | const

inline inherited

Return a flat container-descriptor.

## dimension()

template<typename GV>

size_type Dune::Functions::LeafPreBasisMapperMixin< GV >::dimension | ( |  | ) | const

inline inherited

Return total number of basis functions.

## gridView()

template<typename GV>

const GridView & Dune::Functions::LeafPreBasisMapperMixin< GV >::gridView | ( |  | ) | const

inline inherited

Export the stored GridView.

## indices()

template<typename GV>
template<class Node, class It>

It Dune::Functions::LeafPreBasisMapperMixin< GV >::indices | ( | const Node & | node,
|  | It | it ) const

inline inherited

Fill cache with global indices of DOFs associated to the given bound node.

## initializeIndices()

template<typename GV>

void Dune::Functions::LeafPreBasisMapperMixin< GV >::initializeIndices | ( |  | ) |

inline inherited

Initialize the global index information.

## makeNode()

template<typename GV, int k>

Node Dune::Functions::BrezziDouglasMariniPreBasis< GV, k >::makeNode | ( |  | ) | const

inline

Create tree node.

## maxNodeSize()

template<typename GV>

size_type Dune::Functions::LeafPreBasisMapperMixin< GV >::maxNodeSize | ( |  | ) | const

inline inherited

Return maximal number of basis functions per element.

## size()

size_type Dune::Functions::LeafPreBasisMixin< LeafPreBasisMapperMixin< GV > >::size | ( | const SizePrefix & | prefix | ) | const

inline inherited

Return number of possible values for next position in multi index.

## update()

template<typename GV, int k>

void Dune::Functions::BrezziDouglasMariniPreBasis< GV, k >::update | ( | const GridView & | gv | ) |

inline

## Member Data Documentation

## finiteElementMap_

template<typename GV, int k>

FiniteElementMap Dune::Functions::BrezziDouglasMariniPreBasis< GV, k >::finiteElementMap_

protected

## gridView_

template<typename GV>

GridView Dune::Functions::LeafPreBasisMapperMixin< GV >::gridView_

protected inherited

## mapper_

template<typename GV>

Dune::MultipleCodimMultipleGeomTypeMapper<GridView> Dune::Functions::LeafPreBasisMapperMixin< GV >::mapper_

protected inherited

## maxMultiIndexSize

size_type Dune::Functions::LeafPreBasisMixin< LeafPreBasisMapperMixin< GV > >::maxMultiIndexSize

static constexpr inherited

Maximal length of global multi-indices.

## maxNodeSize_

template<typename GV>

std::size_t Dune::Functions::LeafPreBasisMapperMixin< GV >::maxNodeSize_

protected inherited

## minMultiIndexSize

size_type Dune::Functions::LeafPreBasisMixin< LeafPreBasisMapperMixin< GV > >::minMultiIndexSize

static constexpr inherited

Minimal length of global multi-indices.

## multiIndexBufferSize

size_type Dune::Functions::LeafPreBasisMixin< LeafPreBasisMapperMixin< GV > >::multiIndexBufferSize

static constexpr inherited

Size required temporarily when constructing global multi-indices.

The documentation for this class was generated from the following file:

- brezzidouglasmarinibasis.hh